Subject: [EAI] EDITORIAL: dsn-03 (4..8)

From: "Frank Ellermann" <[email-masked]>
Date: Tue, 25 Sep 2007 13:32:53 +0200

4:
| The third type, used for header return, is message/global-headers
| and contains only the UTF-8 headers of a message (all lines prior
| to the first blank line in a UTF8SMTP message). 

s/headers/header/ or s/headers/header fields/ for the terminology
police.

| Note that [I-D.ietf-eai-utf8headers] relaxed restriction from
| MIME [RFC2046] regarding use of Content-Transfer-Encoding in new
| "message" subtypes.

Also note that <http://www.ietf.org/html.charters/eai-charter.html>
does not contain a single occurence of MIME.

5:
| When generating a MDN for a UTF-8 header message, content or
| header return is the same as for DSNs. 

Hard to read, do you mean something like this:
"When generating a MDN for a UTF-8 header message, the returned
 content or header (message/global or message/global-headers)
 uses the same format as for DSNs."

| The MDN specification also defines the Original-Recipient
| header field

OT: That's not yet listed in the message header field registry.
I-D.lilly-legacy-fields is in state ISR-AUTH for some years (?)
on http://rfc-editor.org/queue.html

Last nit, appendix B should be removed before an IETF Last Call.

 Frank

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 26 Sep 2007 22:24:37 +0100

Frank Ellermann wrote:

>Chapter 4 says that "i-default" is explained in [LANGTAGS],
>and the references say that [LANGTAGS] is RFC 4646.  But
>RFC 4646 doesn't discuss "i-default", it's explained in
>4646bis (work in progress) with a reference to RFC 2277
>[BCP 18].
>
Oops, good catch.

>Proposal:  Use RFC 2277 for now, and switch to
>4646bis later if it's ready when you need it.  
>
Fixed, thanks!

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 26 Sep 2007 22:24:37 +0100

>s/headers/header/ or s/headers/header fields/ for the terminology
The latter. Changed.

> uses the same format as for DSNs."
I've changed that to:
  When generating a MDN for a UTF-8 header message, the third part of the
  multipart/report contains the returned content (message/global) or header
  (message/global-headers), same as for DSNs.
instead.

>on http://rfc-editor.org/queue.html
Hmm, another todo item for somebody :-)

>Last nit, appendix B should be removed before an IETF Last Call.
Good point.

 (+)
X-Scan-Signature: 4d87d2aa806f79fed918a62e834505ca
Cc: [email-masked]
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.5
Precedence: list
List-Id: "EAI \(Email Address Internationalization\)" <ima.ietf.org>
List-Unsubscribe: <https://www1.ietf.org/mailman/listinfo/ima>,
	<mailto:[email-masked]?subject=unsubscribe>
List-Archive: <http://www1.ietf.org/pipermail/ima>
List-Post: <mailto:[email-masked]>
List-Help: <mailto:[email-masked]?subject=help>
List-Subscribe: <https://www1.ietf.org/mailman/listinfo/ima>,
	<mailto:[email-masked]?subject=subscribe>
Errors-To: [email-masked]

>s/headers/header/ or s/headers/header fields/ for the terminology
The latter. Changed.

> uses the same format as for DSNs."
I've changed that to:
  When generating a MDN for a UTF-8 header message, the third part of the
  multipart/report contains the returned content (message/global) or header
  (message/global-headers), same as for DSNs.
instead.

>on http://rfc-editor.org/queue.html
Hmm, another todo item for somebody :-)

>Last nit, appendix B should be removed before an IETF Last Call.
Good point.

---

From: "Frank Ellermann" <[email-masked]>
Date: Thu, 27 Sep 2007 12:35:21 +0200

Alexey Melnikov wrote:

>| When generating a MDN for a UTF-8 header message, the third part of
>| the multipart/report contains the returned content (message/global)
>| or header (message/global-headers), same as for DSNs.

Yes, that's better.

> Hmm, another todo item for somebody :-)

If nothing happens somebody could extract the template from Bruce's
I-D, add the published dsn-03 RFC to the references, post it on the
message header review list, and submit it to IANA after two weeks.

Noted as "todo" after the DSN RFC got its number.

 Frank